- Qt 5.15
- Qt Designer Manual
- C++ Classes
- QDesignerActionEditorInterface
- Qt 5.15.19 Reference Documentation

# QDesignerActionEditorInterface Class

The QDesignerActionEditorInterface class allows you to change the focus of Qt Designer's action editor. More...

Header: | #include <QDesignerActionEditorInterface>
qmake: | QT += designer

- List of all members, including inherited members

## Public Functions

| QDesignerActionEditorInterface(QWidget *parent, Qt::WindowFlags flags = Qt::WindowFlags())
virtual | ~QDesignerActionEditorInterface()
virtual QDesignerFormEditorInterface * | core() const
virtual void | manageAction(QAction *action) = 0
virtual void | unmanageAction(QAction *action) = 0

## Public Slots

virtual void | setFormWindow(QDesignerFormWindowInterface *formWindow) = 0

## Detailed Description

The QDesignerActionEditorInterface class is not intended to be instantiated directly. You can retrieve an interface to Qt Designer's action editor using the QDesignerFormEditorInterface::actionEditor() function.

You can control which actions that are available in the action editor's window using the manageAction() and unmanageAction() functions. An action that is managed by Qt Designer is available in the action editor while an unmanaged action is ignored.

QDesignerActionEditorInterface also provides the core() function that you can use to retrieve a pointer to Qt Designer's current QDesignerFormEditorInterface object, and the setFormWindow() function that enables you to change the currently selected form window.

See also QDesignerFormEditorInterface and QDesignerFormWindowInterface.

## Member Function Documentation

### QDesignerActionEditorInterface::QDesignerActionEditorInterface(QWidget *parent, Qt::WindowFlags flags = Qt::WindowFlags())

Constructs an action editor interface with the given parent and the specified window flags.

### `[pure virtual slot]` void QDesignerActionEditorInterface::setFormWindow(QDesignerFormWindowInterface *formWindow)

Sets the currently selected form window to formWindow.

### `[virtual]` QDesignerActionEditorInterface::~QDesignerActionEditorInterface()

Destroys the action editor interface.

### `[virtual]` QDesignerFormEditorInterface *QDesignerActionEditorInterface::core() const

Returns a pointer to Qt Designer's current QDesignerFormEditorInterface object.

### `[pure virtual]` void QDesignerActionEditorInterface::manageAction(QAction *action)

Instructs Qt Designer to manage the specified action. An action that is managed by Qt Designer is available in the action editor.

See also unmanageAction().

### `[pure virtual]` void QDesignerActionEditorInterface::unmanageAction(QAction *action)

Instructs Qt Designer to ignore the specified action. An unmanaged action is not available in the action editor.

See also manageAction().